Package org.apache.any23.extractor.html

## Class DomUtilsTest

- java.lang.Object
- - org.apache.any23.AbstractAny23TestBase
  - - org.apache.any23.extractor.html.DomUtilsTest

-     public class DomUtilsTest
      extends AbstractAny23TestBase

  Reference test class for the `DomUtils` class.
  Author:
    Davide Palmisano (dpalmisano@gmail.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.any23.AbstractAny23TestBase

      `tempDirectory, testFolder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DomUtilsTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `testFindAllByClassName()` |
    `void` | `testFindAllByTag()` |
    `void` | `testFindAllByTagAndClassName()` |
    `void` | `testGetXPathForNode()` |
    `void` | `testHasClassName()` |
    `void` | `testReadAttribute()` |
    `void` | `testSerializeToXML()` |

    - ### Methods inherited from class org.apache.any23.AbstractAny23TestBase

      `copyResourceToTempFile, getDocumentSourceFromResource, getDocumentSourceFromResource, setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DomUtilsTest

          public DomUtilsTest()

  - ### Method Detail

    - #### testGetXPathForNode

          public void testGetXPathForNode()
                                   throws Exception

      Throws:
        `Exception`

    - #### testFindAllByClassName

          public void testFindAllByClassName()
                                      throws Exception

      Throws:
        `Exception`

    - #### testFindAllByTag

          public void testFindAllByTag()
                                throws Exception

      Throws:
        `Exception`

    - #### testFindAllByTagAndClassName

          public void testFindAllByTagAndClassName()
                                            throws Exception

      Throws:
        `Exception`

    - #### testHasClassName

          public void testHasClassName()
                                throws Exception

      Throws:
        `Exception`

    - #### testReadAttribute

          public void testReadAttribute()
                                 throws Exception

      Throws:
        `Exception`

    - #### testSerializeToXML

          public void testSerializeToXML()
                                  throws ParserConfigurationException,
                                         TransformerException,
                                         IOException

      Throws:
        `ParserConfigurationException`
        `TransformerException`
        `IOException`